org.fourthline.cling.model.message.header

## Class TimeoutHeader

- java.lang.Object
- - org.fourthline.cling.model.message.header.UpnpHeader<Integer>
  - - org.fourthline.cling.model.message.header.TimeoutHeader

-     public class TimeoutHeader
      extends UpnpHeader<Integer>

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.model.message.header.UpnpHeader

      `UpnpHeader.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Integer` | `INFINITE_VALUE`
    `static Pattern` | `PATTERN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeoutHeader()` Defaults to `UserConstants.DEFAULT_SUBSCRIPTION_DURATION_SECONDS`.
    `TimeoutHeader(int timeoutSeconds)`
    `TimeoutHeader(Integer timeoutSeconds)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getString()`
    `void` | `setString(String s)`

    - ### Methods inherited from class org.fourthline.cling.model.message.header.UpnpHeader

      `getValue, newInstance, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INFINITE_VALUE

          public static final Integer INFINITE_VALUE

    - #### PATTERN

          public static final Pattern PATTERN

  - ### Constructor Detail

    - #### TimeoutHeader

          public TimeoutHeader()

      Defaults to `UserConstants.DEFAULT_SUBSCRIPTION_DURATION_SECONDS`.

    - #### TimeoutHeader

          public TimeoutHeader(int timeoutSeconds)

    - #### TimeoutHeader

          public TimeoutHeader(Integer timeoutSeconds)

  - ### Method Detail

    - #### setString

          public void setString(String s)
                         throws InvalidHeaderException

      Specified by:
        `setString` in class `UpnpHeader<Integer>`
      Parameters:
        `s` - This header's value as a string representation.
      Throws:
        `InvalidHeaderException` - If the value is invalid for this UPnP header.

    - #### getString

          public String getString()

      Specified by:
        `getString` in class `UpnpHeader<Integer>`
      Returns:
        A string representing this header's value.

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.